Page MenuHomePhabricator

Can not enable old SQL prefix search mode on wikidata
Closed, ResolvedPublic

Description

When useCirrus is set to true in Wikidata config, it is not possible to call old SQL search with explicit useCirrus=false in command line. I think we should keep this capability, at least for a while, e.g. to check for difference between the old code and the new and maybe for BC cases.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 31 2017, 6:15 PM

Change 387631 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@master] Allow turning Cirrus usage off from query

https://gerrit.wikimedia.org/r/387631

Change 387631 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Allow turning Cirrus usage off from query

https://gerrit.wikimedia.org/r/387631

Change 387662 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@wmf/1.31.0-wmf.6] Allow turning Cirrus usage off from query

https://gerrit.wikimedia.org/r/387662

Change 387749 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikidata@wmf/1.31.0-wmf.6] Allow turning Cirrus usage off from query

https://gerrit.wikimedia.org/r/387749

Smalyshev moved this task from needs triage to Current work on the Discovery-Search board.
Smalyshev triaged this task as Medium priority.Nov 1 2017, 8:31 PM

Change 387749 merged by jenkins-bot:
[mediawiki/extensions/Wikidata@wmf/1.31.0-wmf.6] Allow turning Cirrus usage off from query

https://gerrit.wikimedia.org/r/387749

Change 387662 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.31.0-wmf.6] Allow turning Cirrus usage off from query

https://gerrit.wikimedia.org/r/387662

Mentioned in SAL (#wikimedia-operations) [2017-11-01T23:23:26Z] <thcipriani@tin> Synchronized php-1.31.0-wmf.6/extensions/Wikidata/extensions/Wikibase/repo/Wikibase.hooks.php: SWAT: [[gerrit:387749|Allow turning Cirrus usage off from query]] T179428 (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2017-11-01T23:25:01Z] <thcipriani@tin> Synchronized php-1.31.0-wmf.6/extensions/Wikibase/repo/Wikibase.hooks.php: SWAT: [[gerrit:387662|Allow turning Cirrus usage off from query]] T179428 (duration: 00m 49s)

Smalyshev closed this task as Resolved.Nov 1 2017, 11:26 PM